/*************************************************************************
 * File       : uart.h
 * Description: 
 * Copyright 2004 ZiLOG Inc.  ALL RIGHTS RESERVED.
		
 * The source code in this file was written by an
 * authorized ZiLOG employee or a licensed consultant.
 * The source code has been verified to the fullest
 * extent possible.
 * Permission to use this code is granted on a royalty-free
 * basis. However users are cautioned to authenticate the
 * code contained herein.
 * ZiLOG DOES NOT GUARANTEE THE VERACITY OF THE SOFTWARE.
 ************************************************************************/
char putch(char c);


//UART related definitions
#define BAUD0   			38400      			// 38.4K baud for UART0

#define BRG0 SYSTEMCLOCK/(BAUD0*16)				// UART Baud Rate Value

#define PORTA_UART_RXD		0x10				// Alternate function on PA4 (RxD)
#define PORTA_UART_TXD		0x20				// Alternate function on PA5 (TxD)
#define UART_TXD_EN	    	0x80				// Enables UART Transmit
#define UART_RXD_EN	    	0x40				// Enables UART Receive
