/*************************************************************************
 * File       : main.h
 * Description: 
 *  Copyright 2004 ZiLOG Inc.  ALL RIGHTS RESERVED.
			
 * The source code in this file was written by an
 * authorized ZiLOG employee or a licensed consultant.
 * The source code has been verified to the fullest
 * extent possible.
 * Permission to use this code is granted on a royalty-free
 * basis. However users are cautioned to authenticate the
 * code contained herein.
 * ZiLOG DOES NOT GUARANTEE THE VERACITY OF THE SOFTWARE.
 ************************************************************************/

#define HIGH_SET_TEMP	30			//Higher temperature limit 
#define LOW_SET_TEMP    20          //Lower  temperature limit
#define YES		(unsigned char)1
#define NO		(unsigned char)0

#define SECONDS_COUNT	60			
#define MINUTES_COUNT   5
#define HALF_HOUR_COUNT 30

extern void init_gpio(void);
extern void init_timer0(void);
extern void init_uart0(void);
extern void turn_off__all_led(void);
extern void turn_on_all_led(void);
extern void normal_rangeLED_on(void);
extern void high_limitLED_on(void);  
extern void low_limitLED_on(void);
extern void init_adc(void);
unsigned int actual_temp();
void display_all_data(void);
char NVDS_Write(void);
void display_temp_data(char valueH, char valueL);
void init_external_systemclock(void);
void display_data(unsigned int);
void puts (char far * src);
void bin_to_decimal(unsigned char L_byte, char *buffer);
void init_flash(void);

